Bug 104512

Summary: [i915]Failed to release pages: bind_count=1, pages_pin_count=1, pin_display=0
Product: DRI Reporter: Rik <slacker702>
Component: DRM/IntelAssignee: Intel GFX Bugs mailing list <intel-gfx-bugs>
Status: CLOSED FIXED QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: normal    
Priority: medium CC: fede, intel-gfx-bugs, mattia.b89, nrar, romualduimi, victor.trac, will
Version: XOrg git   
Hardware: Other   
OS: All   
Whiteboard: ReadyForDev
i915 platform: BDW, KBL, SKL i915 features:
Attachments:
Description Flags
dmesg+drm.debug=0x1e
none
dmesg with `drm.debug=0x1e`
none
FedeX dmesg with drm.debug=0x1e none

Description Rik 2018-01-06 09:36:48 UTC
dmesg:
[   87.766977] Failed to release pages: bind_count=1, pages_pin_count=1, pin_display=0
[   87.767026] ------------[ cut here ]------------
[   87.767069] WARNING: CPU: 0 PID: 151 at drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xdc/0xe0 [i915]
[   87.767071] Modules linked in: fuse ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter devlink nct6775 msr hwmon_vid intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul snd_hda_codec_realtek snd_hda_codec_generic mousedev joydev ghash_clmulni_intel pcbc iTCO_wdt iTCO_vendor_support aesni_intel mxm_wmi mei_me aes_x86_64 crypto_simd glue_helper cryptd mei shpchp intel_cstate intel_rapl_perf snd_hda_intel snd_hda_codec e1000e snd_hda_core snd_hwdep snd_pcm snd_timer snd ptp pps_core i2c_i801 hci_uart btbcm btqca input_leds btintel soundcore led_class intel_pch_thermal bluetooth tpm_tis tpm_tis_core tpm acpi_als wmi pinctrl_sunrisepoint pinctrl_intel evdev mac_hid battery kfifo_buf acpi_pad industrialio ecdh_generic
[   87.767144]  rfkill intel_lpss_acpi i2c_hid intel_lpss nfsd auth_rpcgss oid_registry nfs_acl lockd grace sunrpc sch_fq_codel loop sg ip_tables x_tables ext4 crc16 mbcache jbd2 fscrypto hid_logitech ff_memless hid_generic usbhid hid sd_mod serio_raw atkbd libps2 crc32c_intel ahci libahci xhci_pci libata xhci_hcd usbcore scsi_mod usb_common i8042 serio i915 video button intel_gtt i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm
[   87.767207] CPU: 0 PID: 151 Comm: kworker/u8:4 Not tainted 4.14.12-mainline #1
[   87.767209] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z170M Extreme4, BIOS P7.20 12/13/2016
[   87.767247] Workqueue: i915-userptr-release cancel_userptr [i915]
[   87.767251] task: ffff9cb92cf50f40 task.stack: ffffb126c114c000
[   87.767284] RIP: 0010:cancel_userptr+0xdc/0xe0 [i915]
[   87.767286] RSP: 0018:ffffb126c114fe80 EFLAGS: 00010282
[   87.767289] RAX: 0000000000000047 RBX: ffff9cb92c2ad8c0 RCX: 0000000000000000
[   87.767291] RDX: 0000000000000000 RSI: ffff9cb935c16598 RDI: ffff9cb935c16598
[   87.767293] RBP: ffff9cb92c2ada70 R08: 0000000000000001 R09: 00000000000002d6
[   87.767295] R10: ffffde53c9012440 R11: 0000000000000000 R12: 0000000000000000
[   87.767297] R13: 0000000000000000 R14: 0ffff9cb92a51d20 R15: ffff9cb92a58bd80
[   87.767300] FS:  0000000000000000(0000) GS:ffff9cb935c00000(0000) knlGS:0000000000000000
[   87.767302] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   87.767304] CR2: 00007f6a5e2e9000 CR3: 00000001f400a003 CR4: 00000000003606f0
[   87.767306] Call Trace:
[   87.767317]  process_one_work+0x1db/0x410
[   87.767322]  worker_thread+0x2b/0x3d0
[   87.767326]  ? process_one_work+0x410/0x410
[   87.767331]  kthread+0x118/0x130
[   87.767337]  ? kthread_create_on_node+0x70/0x70
[   87.767342]  ret_from_fork+0x1f/0x30
[   87.767346] Code: b1 14 00 00 75 d7 8b 93 d0 01 00 00 8b 8b ac 01 00 00 48 c7 c7 30 3c 55 c0 8b b3 a4 01 00 00 c6 05 22 b1 14 00 01 e8 ef 46 c5 d6 <0f> ff eb ae 0f 1f 44 00 00 41 57 41 56 ba 08 00 00 00 41 55 41 
[   87.767416] ---[ end trace 05d39f10a12f7111 ]---


cmdline:
BOOT_IMAGE=/boot/vmlinuz-linux-mainline root=UUID=4e2f3394-d315-4384-b975-05e33af1ab06 rw intremap=no_x2apic_optout acpi_backlight=none intel_iommu=on i915.enable_gvt=1 quiet loglevel=3 rd.systemd.show_status=false rd.udev.log-priority=3 systemd.log_level=err resume=UUID=25e25554-34e4-4d4a-a7f5-81ef2415db94 printk.time=0 splash

System:    Host: archome Kernel: 4.14.12-mainline x86_64 bits: 64 Desktop: Xfce 4.12.4 Distro: Arch Linux
Machine:   Device: desktop Mobo: ASRock model: Z170M Extreme4 serial: M80-68001700529
           UEFI [Legacy]: American Megatrends v: P7.20 date: 12/13/2016
CPU:       Dual core Intel Core i3-6100 (-MT-MCP-) cache: 3072 KB
           clock speeds: max: 3700 MHz 1: 3700 MHz 2: 3700 MHz 3: 3700 MHz 4: 3700 MHz
Graphics:  Card: Intel HD Graphics 530
           Display Server: X.Org 1.19.6 driver: i915 Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 530 (Skylake GT2) version: 4.5 Mesa 17.3.1


Steps to reproduce:
- boot machine;
- run Mozilla Firefox 57.0.4 or 57.0.3.

Same issue with kernel 4.15-rc6.

No problem with kernel 4.9.75.
Comment 1 mattia.b89 2018-01-07 16:24:01 UTC
Same here: issue could happen just after gnome-shell loads, too, without launching any program.

I'm on Arch Linux x86_64, gnome-shell-3.26.2, kernel linux-ck-4.14.12
on a Dell XPS 13 9343, intel i5-5200U
Comment 2 Elizabeth 2018-01-08 15:28:55 UTC
Hello, could you please attach full dmesg with debug information, drm.debug=0x1e parameter on grub? Thanks.
Comment 3 Rik 2018-01-08 15:50:51 UTC
Created attachment 136615 [details]
dmesg+drm.debug=0x1e

Full dmesg with debug information attached.
Comment 4 mattia.b89 2018-01-08 16:49:46 UTC
Created attachment 136619 [details]
dmesg with `drm.debug=0x1e`
Comment 5 FedeX 2018-01-10 11:39:44 UTC
Same here on Lenovo ThinkPad X1 Carbon 3rd Gen running Ubuntu with gnome shell, error happens just by booting:


∫ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.3 LTS
Release:	16.04
Codename:	xenial



∫ uname -a
Linux X1 4.14.13-041413-generic #201801101001 SMP Wed Jan 10 10:02:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux




[   28.192985] Failed to release pages: bind_count=1, pages_pin_count=1, pin_display=0
[   28.193017] ------------[ cut here ]------------
[   28.193046] WARNING: CPU: 0 PID: 99 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xdc/0xe0 [i915]
[   28.193047] Modules linked in: rfcomm ccm ebtable_filter ebtables bnep ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 xt_hl ip6t_rt cmdlinepart binfmt_misc intel_spi_platform intel_spi spi_nor mtd dm_crypt uvcvideo videobuf2_vmalloc videobuf2_memops cdc_mbim videobuf2_v4l2 intel_rapl nf_conntrack_ipv6 nf_defrag_ipv6 videobuf2_core cdc_wdm x86_pkg_temp_thermal intel_powerclamp cdc_ncm btusb coretemp usbnet kvm_intel ipt_REJECT nf_reject_ipv4 videodev nf_log_ipv4 nf_log_common btrtl btbcm kvm btintel xt_LOG bluetooth mii xt_limit irqbypass crct10dif_pclmul xt_tcpudp cdc_acm xt_addrtype media ecdh_generic arc4 crc32_pclmul ghash_clmulni_intel pcbc aesni_intel aes_x86_64 snd_hda_codec_hdmi iwlmvm crypto_simd snd_hda_codec_realtek glue_helper snd_hda_codec_generic cryptd mac80211 intel_cstate snd_hda_intel intel_rapl_perf
[   28.193081]  snd_hda_codec snd_seq_midi snd_hda_core snd_seq_midi_event snd_hwdep snd_rawmidi iwlwifi snd_pcm joydev input_leds thinkpad_acpi serio_raw nvram wmi_bmof cfg80211 snd_seq intel_pch_thermal nf_conntrack_ipv4 lpc_ich nf_defrag_ipv4 mei_me snd_seq_device shpchp mei xt_conntrack snd_timer snd soundcore mac_hid ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat nf_conntrack_ftp nf_conntrack iptable_filter parport_pc ip_tables x_tables ppdev lp parport autofs4 raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear hid_logitech_hidpp hid_logitech_dj usbhid hid i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt psmouse fb_sys_fops e1000e drm ahci libahci ptp pps_core
[   28.193116]  wmi video
[   28.193119] CPU: 0 PID: 99 Comm: kworker/u16:2 Not tainted 4.14.13-041413-generic #201801101001
[   28.193120] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET39W (1.17 ) 06/29/2017
[   28.193144] Workqueue: i915-userptr-release cancel_userptr [i915]
[   28.193145] task: ffff8b0e23d28000 task.stack: ffff9b1141090000
[   28.193167] RIP: 0010:cancel_userptr+0xdc/0xe0 [i915]
[   28.193168] RSP: 0018:ffff9b1141093e80 EFLAGS: 00010282
[   28.193170] RAX: 0000000000000047 RBX: ffff8b0e1d10de40 RCX: 0000000000000000
[   28.193171] RDX: 0000000000000000 RSI: ffff8b0e2dc16598 RDI: ffff8b0e2dc16598
[   28.193171] RBP: ffff8b0e1d10dff0 R08: 000000000000034b R09: 0000000000000004
[   28.193172] R10: ffffd787c8732440 R11: 0000000000000001 R12: 0000000000000000
[   28.193173] R13: 0ffff8b0e1dca150 R14: ffff8b0e18efcd80 R15: ffff8b0e25410800
[   28.193174] FS:  0000000000000000(0000) GS:ffff8b0e2dc00000(0000) knlGS:0000000000000000
[   28.193175] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   28.193176] CR2: 0000000001a1f158 CR3: 000000012b00a005 CR4: 00000000003606f0
[   28.193177] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   28.193178] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   28.193178] Call Trace:
[   28.193185]  process_one_work+0x1e6/0x400
[   28.193188]  worker_thread+0x2b/0x3f0
[   28.193190]  ? process_one_work+0x400/0x400
[   28.193191]  kthread+0x118/0x130
[   28.193193]  ? kthread_create_on_node+0x70/0x70
[   28.193195]  ? kthread_create_on_node+0x70/0x70
[   28.193197]  ret_from_fork+0x1f/0x30
[   28.193199] Code: d5 14 00 00 75 d7 8b 93 d0 01 00 00 8b 8b ac 01 00 00 48 c7 c7 28 dc 66 c0 8b b3 a4 01 00 00 c6 05 52 d5 14 00 01 e8 7f 2e 74 ef <0f> ff eb ae 0f 1f 44 00 00 41 57 41 56 ba 08 00 00 00 41 55 41 
[   28.193229] ---[ end trace 1ec4c9a484e631fb ]---
Comment 6 FedeX 2018-01-10 11:50:50 UTC
it doesn't happens on 4.14.8-041408-generic or earlier
Comment 7 FedeX 2018-01-10 12:04:14 UTC
Created attachment 136649 [details]
FedeX dmesg with drm.debug=0x1e

Attaching dmesg with drm.debug=0x1e

∫ uname -a
Linux X1 4.14.13-041413-generic #201801101001 SMP Wed Jan 10 10:02:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

∫ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.3 LTS
Release:	16.04
Codename:	xenial
Comment 8 Victor Trac 2018-01-24 15:53:20 UTC
Seeing this on a Lenovo X1 Carbon running Archlinux after upgrading to 4.14.14-1. I logged into gnome-shell like usual. However, twice in the last 30 minutes my external monitor flashed black (Dell P2715Q, 4k@60hz <- HDMI -> Kensington SD4600P usb-c hub <- USB-C -> Laptop). dmesg has this output:

[  858.458724] Failed to release pages: bind_count=1, pages_pin_count=1, pin_display=0
[  858.458814] ------------[ cut here ]------------
[  858.458884] WARNING: CPU: 0 PID: 151 at drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xdc/0xe0 [i915]
[  858.458886] Modules linked in: snd_usb_audio ax88179_178a snd_usbmidi_lib usbnet mii snd_rawmidi snd_seq_device hid_generic rfcomm fuse ccm cmac ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink nfnetlink xfrm_user xfrm_algo iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype iptable_filter xt_conntrack nf_nat nf_conntrack libcrc32c crc32c_generic br_netfilter bridge stp llc joydev rmi_smbus uvcvideo rmi_core btusb videobuf2_vmalloc btrtl videobuf2_memops videobuf2_v4l2 videobuf2_core videodev mousedev media bnep wmi_bmof iTCO_wdt iTCO_vendor_support mei_wdt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp irqbypass snd_hda_codec_hdmi intel_cstate intel_rapl_perf snd_hda_ext_core psmouse snd_soc_sst_match
[  858.458963]  input_leds snd_hda_codec_conexant snd_soc_core snd_hda_codec_generic pcspkr tpm_crb snd_compress snd_pcm_dmaengine ac97_bus arc4 nls_iso8859_1 nls_cp437 vfat fat iwlmvm mac80211 snd_hda_intel e1000e snd_hda_codec snd_hda_core iwlwifi ptp pps_core snd_hwdep snd_pcm i2c_i801 snd_timer hci_uart btbcm ucsi_acpi thinkpad_acpi btqca btintel rtsx_pci_ms nvram cfg80211 memstick typec_ucsi mei_me thermal typec wmi snd bluetooth mei shpchp intel_pch_thermal soundcore ecdh_generic led_class rfkill battery tpm_tis ac tpm_tis_core pinctrl_sunrisepoint pinctrl_intel crc16 i2c_hid tpm intel_lpss_acpi intel_lpss evdev mac_hid acpi_pad sch_fq_codel vboxnetflt(O) vboxnetadp(O) pci_stub vboxpci(O) vboxdrv(O) crypto_user acpi_call(O) ip_tables x_tables btrfs xor zstd_decompress zstd_compress xxhash raid6_pq
[  858.459059]  algif_skcipher af_alg hid_logitech_hidpp hid_logitech_dj usbhid hid dm_crypt dm_mod crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel pcbc rtsx_pci_sdmmc serio_raw mmc_core atkbd libps2 aesni_intel aes_x86_64 crypto_simd glue_helper xhci_pci cryptd xhci_hcd nvme nvme_core rtsx_pci usbcore usb_common i8042 serio i915 video button intel_gtt i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm agpgart
[  858.459115] CPU: 0 PID: 151 Comm: kworker/u8:2 Tainted: G     U     O    4.14.14-1-ARCH #1
[  858.459117] Hardware name: LENOVO 20HRCTO1WW/20HRCTO1WW, BIOS N1MET41W (1.26 ) 11/09/2017
[  858.459168] Workqueue: i915-userptr-release cancel_userptr [i915]
[  858.459172] task: ffff9f338bd18f40 task.stack: ffffba4241e6c000
[  858.459216] RIP: 0010:cancel_userptr+0xdc/0xe0 [i915]
[  858.459218] RSP: 0018:ffffba4241e6fe80 EFLAGS: 00010282
[  858.459222] RAX: 0000000000000047 RBX: ffff9f309c217c80 RCX: 0000000000000000
[  858.459224] RDX: 0000000000000000 RSI: ffff9f33a1416598 RDI: ffff9f33a1416598
[  858.459226] RBP: ffff9f309c217e30 R08: 0000000000000001 R09: 000000000000040a
[  858.459228] R10: fffff61a462440c0 R11: 0000000000000000 R12: 0000000000000000
[  858.459231] R13: 0000000000000000 R14: 0ffff9f336d25650 R15: ffff9f338b838900
[  858.459234] FS:  0000000000000000(0000) GS:ffff9f33a1400000(0000) knlGS:0000000000000000
[  858.459237] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  858.459239] CR2: 00007fade4e09320 CR3: 000000029e00a002 CR4: 00000000003606f0
[  858.459242] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  858.459244] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[  858.459245] Call Trace:
[  858.459261]  process_one_work+0x1e0/0x420
[  858.459268]  worker_thread+0x2b/0x3d0
[  858.459274]  ? process_one_work+0x420/0x420
[  858.459279]  kthread+0x11a/0x130
[  858.459286]  ? kthread_create_on_node+0x70/0x70
[  858.459293]  ret_from_fork+0x32/0x40
[  858.459299] Code: fe 14 00 00 75 d7 8b 93 d0 01 00 00 8b 8b ac 01 00 00 48 c7 c7 a0 76 34 c0 8b b3 a4 01 00 00 c6 05 0e fe 14 00 01 e8 1f f1 e5 f5 <0f> ff eb ae 0f 1f 44 00 00 41 57 41 56 ba 08 00 00 00 41 55 41 
[  858.459375] ---[ end trace 92670dba63e8a3b8 ]---
Comment 9 Laurent Bonnaud 2018-02-01 17:17:23 UTC
Same backtrace on my Ubuntu 17.10 system with mainline kernel 4.14.16:

[12473.732438] Failed to release pages: bind_count=1, pages_pin_count=1, pin_display=0
[12473.732515] ------------[ cut here ]------------
[12473.732574] WARNING: CPU: 0 PID: 18211 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xdc/0xe0 [i915]
[12473.732576] Modules linked in: ipt_REJECT nf_reject_ipv4 rfcomm bnep xt_multiport iptable_filter binfmt_misc snd_soc_skl snd_hda_codec_hdmi snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_soc_core intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_codec_realtek snd_hda_codec_generic snd_compress kvm_intel ac97_bus snd_pcm_dmaengine snd_hda_intel kvm snd_hda_codec irqbypass snd_hda_core snd_hwdep crct10dif_pclmul crc32_pclmul snd_pcm ghash_clmulni_intel pcbc dm_crypt snd_seq_midi snd_seq_midi_event aesni_intel snd_rawmidi aes_x86_64 crypto_simd glue_helper cryptd intel_cstate intel_rapl_perf snd_seq snd_seq_device snd_timer snd wmi_bmof soundcore rtsx_pci_ms memstick joydev shpchp input_leds hci_uart btusb btrtl ir_rc6_decoder btbcm ucsi_acpi serdev mei_me
[12473.732617]  typec_ucsi intel_pch_thermal mei typec btqca btintel rc_rc6_mce ir_lirc_codec bluetooth lirc_dev ite_cir rc_core intel_lpss_acpi ecdh_generic intel_lpss tpm_crb acpi_pad acpi_als kfifo_buf mac_hid industrialio hwmon_vid coretemp ip_tables x_tables autofs4 btrfs zstd_compress raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear uas usb_storage hid_logitech_hidpp hid_logitech_dj usbhid rtsx_pci_sdmmc i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect nvme e1000e ptp pps_core nvme_core rtsx_pci sysimgblt ahci fb_sys_fops libahci drm wmi i2c_hid hid pinctrl_sunrisepoint pinctrl_intel video
[12473.732665] CPU: 0 PID: 18211 Comm: kworker/u4:4 Not tainted 4.14.16-041416-generic #201801310931
[12473.732666] Hardware name:                  /NUC7i5BNB, BIOS BNKBL357.86A.0061.2017.1221.1952 12/21/2017
[12473.732725] Workqueue: i915-userptr-release cancel_userptr [i915]
[12473.732728] task: ffff93f91ab75e00 task.stack: ffffb3b1c5ffc000
[12473.732773] RIP: 0010:cancel_userptr+0xdc/0xe0 [i915]
[12473.732775] RSP: 0018:ffffb3b1c5fffe80 EFLAGS: 00010282
[12473.732777] RAX: 0000000000000047 RBX: ffff93f66b6dc2c0 RCX: 0000000000000000
[12473.732777] RDX: 0000000000000000 RSI: ffff93f93ec16598 RDI: ffff93f93ec16598
[12473.732778] RBP: ffff93f66b6dc470 R08: 0000000000000640 R09: 0000000000000004
[12473.732779] R10: ffffea5f9320de40 R11: 0000000000000001 R12: 0000000000000000
[12473.732779] R13: 0ffff93f4f054390 R14: ffff93f6751d9d80 R15: ffff93f91e010800
[12473.732781] FS:  0000000000000000(0000) GS:ffff93f93ec00000(0000) knlGS:0000000000000000
[12473.732781] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[12473.732782] CR2: 00007ff986156000 CR3: 00000007a260a001 CR4: 00000000003606f0
[12473.732783] Call Trace:
[12473.732797]  process_one_work+0x1e6/0x400
[12473.732800]  worker_thread+0x2b/0x3f0
[12473.732802]  ? process_one_work+0x400/0x400
[12473.732803]  kthread+0x118/0x130
[12473.732805]  ? kthread_create_on_node+0x70/0x70
[12473.732808]  ? do_group_exit+0x3a/0xa0
[12473.732813]  ret_from_fork+0x35/0x40
[12473.732815] Code: d5 14 00 00 75 d7 8b 93 d0 01 00 00 8b 8b ac 01 00 00 48 c7 c7 28 bc 55 c0 8b b3 a4 01 00 00 c6 05 ae d5 14 00 01 e8 1f 4e c5 e2 <0f> ff eb ae 0f 1f 44 00 00 41 57 41 56 ba 08 00 00 00 41 55 41 
[12473.732838] ---[ end trace 4036e4e1e404c5f4 ]---
Comment 10 Laurent Bonnaud 2018-02-07 09:02:59 UTC
This bug is still there in Linux 4.15.1:

[63888.246282] ------------[ cut here ]------------
[63888.246287] Failed to release pages: bind_count=1, pages_pin_count=1, pin_global=0
[63888.246412] WARNING: CPU: 1 PID: 21997 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xe8/0xf0 [i915]
[63888.246414] Modules linked in: ipt_REJECT nf_reject_ipv4 rfcomm bnep xt_multiport iptable_filter binfmt_misc snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_ext_core kvm_intel snd_soc_sst_dsp snd_soc_sst_ipc snd_hda_codec_realtek snd_soc_acpi snd_hda_codec_generic snd_soc_core kvm snd_compress ac97_bus snd_pcm_dmaengine irqbypass snd_hda_intel crct10dif_pclmul snd_hda_codec crc32_pclmul snd_hda_core snd_hwdep ghash_clmulni_intel dm_crypt pcbc snd_pcm aesni_intel aes_x86_64 crypto_simd glue_helper cryptd intel_cstate intel_rapl_perf snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd wmi_bmof intel_wmi_thunderbolt soundcore rtsx_pci_ms memstick shpchp btusb btrtl btbcm ir_rc6_decoder btintel bluetooth joydev input_leds
[63888.246499]  ecdh_generic intel_pch_thermal mei_me mei rc_rc6_mce ir_lirc_codec lirc_dev ite_cir rc_core tpm_crb acpi_pad mac_hid hwmon_vid coretemp ip_tables x_tables autofs4 btrfs zstd_compress raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear uas usb_storage hid_logitech_hidpp hid_logitech_dj usbhid hid rtsx_pci_sdmmc i915 i2c_algo_bit drm_kms_helper e1000e ptp pps_core syscopyarea sysfillrect sysimgblt fb_sys_fops rtsx_pci ahci drm libahci wmi video
[63888.246577] CPU: 1 PID: 21997 Comm: kworker/u4:7 Not tainted 4.15.1-041501-generic #201802031831
[63888.246580] Hardware name:                  /NUC7i5BNB, BIOS BNKBL357.86A.0061.2017.1221.1952 12/21/2017
[63888.246636] Workqueue: i915-userptr-release cancel_userptr [i915]
[63888.246683] RIP: 0010:cancel_userptr+0xe8/0xf0 [i915]
[63888.246686] RSP: 0018:ffffb8ea83efbe60 EFLAGS: 00010282
[63888.246691] RAX: 0000000000000000 RBX: ffff95e2cd8e9800 RCX: 0000000000000006
[63888.246693] RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff95e57ed16450
[63888.246696] RBP: ffffb8ea83efbe78 R08: 0000000000000001 R09: 00000000000003cd
[63888.246698] R10: 0000000000000000 R11: 0000000000000000 R12: ffff95e2cd8e99a8
[63888.246700] R13: 0000000000000000 R14: ffff95e55e010800 R15: ffff95e2e4c33180
[63888.246704] FS:  0000000000000000(0000) GS:ffff95e57ed00000(0000) knlGS:0000000000000000
[63888.246707] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[63888.246710] CR2: 00007ffd1c908d80 CR3: 0000000692a0a001 CR4: 00000000003606e0
[63888.246712] Call Trace:
[63888.246724]  process_one_work+0x1ef/0x410
[63888.246729]  worker_thread+0x32/0x410
[63888.246735]  kthread+0x121/0x140
[63888.246739]  ? process_one_work+0x410/0x410
[63888.246745]  ? kthread_create_worker_on_cpu+0x70/0x70
[63888.246751]  ret_from_fork+0x35/0x40
[63888.246754] Code: bf 46 ff ff eb c9 8b 93 c8 01 00 00 8b 8b a4 01 00 00 48 c7 c7 f0 e7 34 c0 8b b3 9c 01 00 00 c6 05 25 37 10 00 01 e8 e8 3f 61 ec <0f> ff eb bc 0f 1f 40 00 0f 1f 44 00 00 55 ba 08 00 00 00 48 89
[63888.246841] ---[ end trace 152f51efba506b0d ]---
Comment 11 FedeX 2018-02-15 10:12:24 UTC
Issue seems gone in 4.15.3

Lenovo ThinkPad X1 Carbon 3rd Gen

∫ uname -a
Linux X1 4.15.3-041503-generic #201802120730 SMP Mon Feb 12 07:31:14 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

∫ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.3 LTS
Release:	16.04
Codename:	xenial
Comment 12 Rik 2018-02-15 13:12:29 UTC
It's still here:

[   59.555411] ------------[ cut here ]------------
[   59.555427] Failed to release pages: bind_count=1, pages_pin_count=1, pin_global=0
[   59.555489] WARNING: CPU: 1 PID: 198 at drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xe5/0xf0 [i915]
[   59.555490] Modules linked in: fuse xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack libcrc32c crc32c_generic ipt_REJECT nf_reject_ipv4 xt_tcpudp tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter devlink msr nct6775 hwmon_vid intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel mxm_wmi iTCO_wdt iTCO_vendor_support pcbc snd_hda_intel snd_hda_codec aesni_intel aes_x86_64 crypto_simd glue_helper cryptd mousedev joydev snd_hda_core intel_cstate mei_me mei snd_hwdep e1000e intel_uncore snd_pcm ptp input_leds led_class intel_rapl_perf
[   59.555513]  snd_timer snd shpchp soundcore intel_pch_thermal pps_core i2c_i801 wmi evdev mac_hid rtc_cmos nfsd auth_rpcgss nfs_acl lockd grace sunrpc loop sg ip_tables x_tables ext4 crc16 mbcache jbd2 fscrypto hid_logitech ff_memless hid_generic usbhid hid sd_mod serio_raw atkbd libps2 ahci libahci xhci_pci libata xhci_hcd crc32c_intel scsi_mod usbcore usb_common i8042 serio i915 intel_gtt i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm agpgart
[   59.555532] CPU: 1 PID: 198 Comm: kworker/u8:4 Not tainted 4.15.3-mainline #1
[   59.555533] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z170M Extreme4, BIOS P7.20 12/13/2016
[   59.555545] Workqueue: i915-userptr-release cancel_userptr [i915]
[   59.555556] RIP: 0010:cancel_userptr+0xe5/0xf0 [i915]
[   59.555557] RSP: 0018:ffffa2c08124fe80 EFLAGS: 00010282
[   59.555558] RAX: 0000000000000000 RBX: ffff8f52dddde700 RCX: 0000000000000001
[   59.555558] RDX: 0000000080000001 RSI: ffffffffade47e70 RDI: 00000000ffffffff
[   59.555559] RBP: ffff8f52dddde8a8 R08: 0000000000000001 R09: 00000000000002fa
[   59.555560] R10: ffffd9660933d600 R11: 0000000000000000 R12: 0000000000000000
[   59.555560] R13: 0000000000000000 R14: ffff8f52e9c75c00 R15: ffff8f52ee010800
[   59.555561] FS:  0000000000000000(0000) GS:ffff8f52f5c80000(0000) knlGS:0000000000000000
[   59.555562] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   59.555562] CR2: 00007f98de2db000 CR3: 000000014900a005 CR4: 00000000003606e0
[   59.555563] Call Trace:
[   59.555568]  process_one_work+0x1df/0x420
[   59.555570]  worker_thread+0x2b/0x3d0
[   59.555572]  ? process_one_work+0x420/0x420
[   59.555573]  kthread+0x113/0x130
[   59.555574]  ? kthread_create_on_node+0x70/0x70
[   59.555576]  ret_from_fork+0x35/0x40
[   59.555577] Code: f2 51 ff ff eb c9 8b 93 c8 01 00 00 8b 8b a4 01 00 00 48 c7 c7 78 ed 34 c0 8b b3 9c 01 00 00 c6 05 f0 26 15 00 01 e8 1b 26 e0 ec <0f> ff eb bc 0f 1f 80 00 00 00 00 0f 1f 44 00 00 41 54 55 45 31 
[   59.555597] ---[ end trace 70a4cf326de14a0a ]---
Comment 13 FedeX 2018-02-15 13:22:34 UTC
Hey Rik, just curious, are you running 4.15.3 too?
Comment 14 Rik 2018-02-15 13:31:48 UTC
(In reply to FedeX from comment #13)
> Hey Rik, just curious, are you running 4.15.3 too?

Yes, I am.

See my dmesg (comment 12):

[   59.555532] CPU: 1 PID: 198 Comm: kworker/u8:4 Not tainted 4.15.3-mainline #1
Comment 15 FedeX 2018-02-15 22:23:13 UTC
Thanks for clarifying (it's a bit difficult to read your dmesg from my tiny mobile screen)
Anyway, not sure why the issue it's gone in my laptop with 14.15.3 and not in yours. I'll try booting 14.15.2 later to confirm but from memory it was still happening for me on 14.15.2
Comment 16 FedeX 2018-02-17 00:18:17 UTC
False alarm, still happening in 4.15.3 for me too:

[   35.528776] ------------[ cut here ]------------
[   35.528778] Failed to release pages: bind_count=1, pages_pin_count=1, pin_global=0
[   35.528842] WARNING: CPU: 1 PID: 202 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem_userptr.c:89 cancel_userptr+0xe8/0xf0 [i915]
[   35.528843] Modules linked in: rfcomm ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink nfnetlink xfrm_user xfrm_algo iptable_nat nf_nat_ipv4 br_netfilter bridge stp llc overlay ccm ebtable_filter ebtables pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep binfmt_misc dm_crypt ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 xt_hl ip6t_rt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel nf_conntrack_ipv6 cdc_mbim nf_defrag_ipv6 kvm cdc_wdm cdc_acm cdc_ncm ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG usbnet irqbypass uvcvideo mii videobuf2_vmalloc btusb videobuf2_memops xt_limit videobuf2_v4l2 xt_tcpudp xt_addrtype btrtl videobuf2_core crct10dif_pclmul btbcm crc32_pclmul videodev btintel media ghash_clmulni_intel pcbc arc4 bluetooth ecdh_generic aesni_intel
[   35.528882]  snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic aes_x86_64 crypto_simd glue_helper cryptd intel_cstate snd_hda_intel intel_rapl_perf snd_hda_codec snd_hda_core snd_hwdep snd_seq_midi snd_pcm snd_seq_midi_event input_leds iwlmvm joydev mac80211 serio_raw snd_rawmidi thinkpad_acpi nvram iwlwifi wmi_bmof intel_pch_thermal snd_seq lpc_ich snd_seq_device nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack cfg80211 snd_timer snd mei_me soundcore shpchp mei mac_hid ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat nf_conntrack_ftp nf_conntrack parport_pc iptable_filter ppdev ip_tables x_tables lp parport autofs4 raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear hid_logitech_hidpp
[   35.528918]  hid_logitech_dj usbhid hid i915 i2c_algo_bit drm_kms_helper syscopyarea psmouse sysfillrect sysimgblt fb_sys_fops e1000e ahci drm libahci ptp pps_core wmi video
[   35.528931] CPU: 1 PID: 202 Comm: kworker/u16:2 Tainted: G           OE    4.15.3-041503-generic #201802120730
[   35.528932] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET39W (1.17 ) 06/29/2017
[   35.528957] Workqueue: i915-userptr-release cancel_userptr [i915]
[   35.528978] RIP: 0010:cancel_userptr+0xe8/0xf0 [i915]
[   35.528979] RSP: 0018:ffffac4f410e7e60 EFLAGS: 00010282
[   35.528981] RAX: 0000000000000000 RBX: ffff92ce9c282100 RCX: 0000000000000006
[   35.528982] RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff92ceadc56450
[   35.528983] RBP: ffffac4f410e7e78 R08: 0000000000000001 R09: 0000000000000369
[   35.528984] R10: ffffe13308795a00 R11: 0000000000000000 R12: ffff92ce9c2822a8
[   35.528985] R13: 0000000000000000 R14: ffff92cea5410800 R15: ffff92ce99cf1c00
[   35.528986] FS:  0000000000000000(0000) GS:ffff92ceadc40000(0000) knlGS:0000000000000000
[   35.528988] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   35.528989] CR2: 00007efdb0017028 CR3: 00000000a380a003 CR4: 00000000003606e0
[   35.528990] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   35.528991] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   35.528992] Call Trace:
[   35.528997]  process_one_work+0x1ef/0x410
[   35.528999]  worker_thread+0x32/0x410
[   35.529001]  kthread+0x121/0x140
[   35.529003]  ? process_one_work+0x410/0x410
[   35.529004]  ? kthread_create_worker_on_cpu+0x70/0x70
[   35.529007]  ret_from_fork+0x35/0x40
[   35.529008] Code: bf 46 ff ff eb c9 8b 93 c8 01 00 00 8b 8b a4 01 00 00 48 c7 c7 f0 37 69 c0 8b b3 9c 01 00 00 c6 05 05 37 10 00 01 e8 38 f0 0c fc <0f> ff eb bc 0f 1f 40 00 0f 1f 44 00 00 55 ba 08 00 00 00 48 89 
[   35.529040] ---[ end trace 3126a07da70dfe43 ]---
[
Comment 17 Rik 2018-02-20 12:04:05 UTC
It seems gone in kernel 3.16-rc2.
Comment 18 Rik 2018-02-21 05:54:53 UTC
Ok, fixed in kernel 4.16.0-rcX(sorry for my previous post).
Comment 19 Elizabeth 2018-03-08 18:51:42 UTC
Thank you for your time.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.